
public class SimpleList {

  Node first=null;
  Node last=null;
  
 

  /**
   * Gibt die gesamte Liste als einzigen String aus. 
   * Die Liste wird mittels Schleife abgelaufen.
   * @return Daten der Liste als String  
   */
  public String toString() {
    String erg = "";
    Node node = first;
    while (node != null) {
      erg += node.data + "\n";
      node = node.next;
    }
    return erg;
  }
  public String toStringFromLast() {
    String erg = "";
    Node node = last;
    while (node != null) {
      erg += node.data + "\n";
      node = node.prev;
    }
    return erg;
  }
  


  /**
   * Sucht den i.ten Knotenund gibt diesen als Rueckgabewert aus.
   * Im Fehlerfall liefert die Methode null.
   * @param index
   * @return i.ten Knoten oder null
   */
  Object get(int index) {
    int i = 0;
    Node node = first;
    while (node != null) {
      if (i == index) {
        return node.data;
      }
      node = node.next;
    }
    return null;
  }
  
  /**
   * Fuegt den Parameter "data" als Knoten an das Ende der Liste.
   * es gibt insgesamt zwei Faelle.
   * @param data
   */
  public void add(Comparable data) {
    Node node = first;
    if (first == null) {
      first = new Node(data);      
    } else {
      while (node.next != null) {
        node = node.next;
      }
      node.next = new Node(data);
    }
  }
  
  public void addFirst(Comparable data) {
    Node newNode = new Node(data);
    if (first == null) {
      first = newNode;
      last = newNode;
      newNode.prev=null;
      newNode.next=null;
    } else {      
      newNode.next = first;
      Node ersterKnoten = first;
      ersterKnoten.prev =newNode;
      first =newNode;
    }
  }

  
  /**
   * Fuegt den Parameter "data" als Knoten an das Ende der Liste.
   * Hier wird neben "first" auch "last" verwendet. 
   * Es gibt zwei Faelle.
   * @param data 
   */
  public void addLast(Comparable data) {
    Node newNode = new Node(data);
    if (last == null) {
      first = newNode;
      last = newNode;
      newNode.prev=null;
      newNode.next=null;
    } else {      
      newNode.prev = last;
      Node letzterKnoten = last;
      letzterKnoten.next =newNode;
      last =newNode;
    }
  }


  
}
